<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru">

<head><meta http-equiv='content-type' content='application/xhtml+xml; charset=windows-1251'/>
<link rel="shortcut icon" href="ico.ico" type="image/x-icon" />

<title>Кланы</title>
<link rel="stylesheet" href="styleN.css" type="text/css" />
</head>
<body>
<div class='main' style='word-wrap:break-word;'>
<div class="center"><div class='top'>
<b>Кланы
</div></div>

<div class="line"></div>
<div style="padding:5px">
<?
include("db.php");
$db->openDB();
$view=$_GET['view'];
// количество записей, выводимых на странице
$per_page=10;
// получаем номер страницы
if (isset($_GET['page'])) $page=($_GET['page']-1); else $page=0;
// вычисляем первый оператор для LIMIT
$start=abs($page*$per_page);
// составляем запрос и выводим записи
// переменную $start используем, как нумератор записей.
$q = mysql_query("SET NAMES cp1251");
$q="SELECT * FROM `clan_list` ORDER BY CLL_ID LIMIT $start,$per_page";
$res=mysql_query($q);
while($row=mysql_fetch_array($res)) {
  echo "<a href=\"clansL.php?view=$row[CLL_NAME]\"><img src=\"$row[ZNAK_CLA]\"  width=\"12\" height=\"12\" alt=\"c\"> $row[CLL_NAME]</a>";
  $cou=mysql_query("SELECT * FROM clans WHERE CL_NAME=\"$row[CLL_NAME]\"");
  if(isset($view)){
  $cou2=mysql_fetch_assoc($cou);
  echo"<br/>[<a href=\"clansL.php\">скрыть</a>]";
  echo"<br/>Глава клана:";echo"[<font color=\"lime\">$cou2[CL_GLAVA]</font>]<br/>";
  echo"Девиз клана:";
  
  if($cou2[CL_DEVIZ]==''){echo'[<font color="red">девиза нет</font>]<br/>';}
  echo"<br/>Состав клана:";
  $cou11=mysql_query("SELECT * FROM clans WHERE CL_NAME=\"$view\"");
  while($cou2W=mysql_fetch_assoc($cou11)){
  echo"<br/>[<font color=\"orange\">$cou2W[CL_CHLEN]</font>]";
  }
  }
  echo ' <br/>(<font color="red">'.mysql_num_rows($cou).' чел.</font>)<br/>';
}

// дальше выводим ссылки на страницы:
$q = mysql_query("SET NAMES cp1251");
$q="SELECT count(*) FROM `clan_list`";
$res=mysql_query($q);
$row=mysql_fetch_row($res);
$total_rows=$row[0];

$num_pages=ceil($total_rows/$per_page);
echo'---<br>';
$al = mysql_query("SET NAMES cp1251");
  $al=mysql_query("SELECT * FROM `clan_list` WHERE CLL_ID");
  if(mysql_num_rows($al)<1){echo"<font color=\"red\">".'еще не создано не одного клана!<br>'."</font>";}
  echo 'всего кланов:'.mysql_num_rows($al).'<br>';
for($i=1;$i<=$num_pages;$i++) {
  if ($i-1 == $page) {
    echo "[".$i."] ";
  } else {

    echo '[<a href="'.$_SERVER['PHP_SELF'].'?page='.$i.'">'.$i."</a>] ";
  }
}
echo"</div><div class=\"line\"></div><div class=\"main_foot\"><br><div class=\"menu\"><li><a href=\"menu.php\">".'на главную'."</a></li></div></div>";
?>
